%define module_name Class-Plain
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Dump.pm) perl(ExtUtils/CBuilder.pm) perl(Module/Build.pm) perl(Role/Tiny.pm) perl(Test/More.pm) perl(XS/Parse/Keyword.pm) perl(XS/Parse/Keyword/Builder.pm) perl(XS/Parse/Sublike.pm) perl(XS/Parse/Sublike/Builder.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt2
Summary: a class syntax for the hash-based Perl OO.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/K/KI/KIMOTO/%{module_name}-%{version}.tar.gz

%description
This module provides a class syntax for the hash-based Perl OO.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md README Changes LICENSE
%perl_vendor_archlib/C*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.06-alt2
- rebuild with perl 5.38

* Wed Oct 12 2022 Igor Vlasenko <viy@altlinux.org> 0.06-alt1
- updated by package builder

* Fri Sep 23 2022 Igor Vlasenko <viy@altlinux.org> 0.04-alt1
- initial import by package builder

